%define name	bash-completion
%define version 20060301
%define release %mkrel 18

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Programmable completion for bash
Group:		Shells
License:	GPL
URL:		http://www.caliban.org/bash/
Source0:	http://www.caliban.org/files/bash/%{name}-%{version}.tar.bz2
Patch1:		bash-completion-20050121.device_ids.patch
Patch2:		bash-completion-20060301.alias-completion.patch
Patch5:		bash-completion-20050712.scp-remote.patch
Patch8:		bash-completion-20050721.rpm-database.patch
Patch10:	bash-completion-20050121.disable-user-completion.patch
Patch17:	bash-completion-20060301.evince.patch
Patch18:	bash-completion-20060301.fix-old-rpmfiles-pattern.patch
Patch19:	bash-completion-20060301.kernel-completion.patch
Patch20:    bash-completion-20060301.better-command-completion.patch
Patch21:    bash-completion-20060301.cdrkit-completion.patch
Patch22:    bash-completion-20060301.bibtex.patch
Patch23:    bash-completion-20060301.better-perl-completion.patch
Patch24:	bash-completion-20060301-mplayer-more-completion.patch
Patch25:	bash-completion-20060301-lzma-completion.patch
Patch26: bash_completion-rpm-suggests.patch
Requires:	bash >= 2.05
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
bash-completion is a collection of shell functions that take advantage of
the programmable completion feature of bash.

%prep
%setup -q -n bash_completion
%patch1
%patch2
%patch5
%patch8
%patch10
%patch17 -p1 -b .evince
%patch18
%patch19
%patch20
%patch21
%patch22
%patch23
%patch24 -p1 -b .more_formats
%patch25 -p1 -b .lzma_support
%patch26 -p1 -b .rpm-suggests

chmod 644 contrib/*
rm -f contrib/dsniff
rm -f contrib/freeciv
rm -f contrib/lilypond
rm -f contrib/povray
rm -f contrib/gkrellm
rm -f contrib/cksfv
rm -f contrib/sitecopy
rm -f contrib/mcrypt
rm -f contrib/gnatmake
rm -f contrib/unace
rm -f contrib/unrar
rm -f contrib/snownews
rm -f contrib/mailman
rm -f contrib/bittorrent

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_sysconfdir/bash_completion.d
install -m 644 bash_completion %{buildroot}%_sysconfdir

mkdir -p %{buildroot}%_sysconfdir/profile.d/
cat <<'EOF' >> %{buildroot}%_sysconfdir/profile.d/bash-completion.sh
#!/bin/sh
# system-wide activation
if [ "$PS1" ]  && [ -n "$BASH" ]; then
    # source system wide config file
	. %_sysconfdir/sysconfig/bash-completion
    # source user config file if available,
    if [ -f $HOME/.bash_completion ]; then
        . $HOME/.bash_completion
    fi

    if [ -n "$ENABLE_BASH_COMPLETION" ]; then
        . %_sysconfdir/bash_completion
    fi
fi
EOF
chmod +x %{buildroot}%_sysconfdir/profile.d/bash-completion.sh

mkdir -p %{buildroot}%_sysconfdir/sysconfig
cat <<'EOF' >> %{buildroot}%_sysconfdir/sysconfig/bash-completion
ENABLE_BASH_COMPLETION=1
COMP_CVS_REMOTE=
COMP_SCP_REMOTE=
COMP_CONFIGURE_HINTS=
COMP_TAR_INTERNAL_PATHS=
COMP_IWLIST_SCAN=
COMP_RPM_DATABASE=
EOF

mkdir -p %{buildroot}%_sysconfdir/skel
cat <<'EOF' >> %{buildroot}%_sysconfdir/skel/.bash_completion
#ENABLE_BASH_COMPLETION=1
#COMP_CVS_REMOTE=
#COMP_SCP_REMOTE=
#COMP_CONFIGURE_HINTS=
#COMP_TAR_INTERNAL_PATHS=
#COMP_IWCONFIG_SCAN=
#COMP_RPM_DATABASE=
EOF

cat > README.install.urpmi <<EOF
Mandriva RPM specific notes

Programmable bash completion except for slow completions is enabled
by default. These settings can be changed system-wide in
/etc/sysconfig/bash-completion. Users may override these settings in
their ~/.bash_completion files. New users get a skeleton
configuration file automatically, while existing users can copy
/etc/skel/.bash_completion into their home directories if they want
to edit their completion settings.
EOF

cat > README.20050121-5.upgrade.urpmi <<EOF
Starting from 20050121-5mdk, bash completion activation was modified and is now
more consistant with other user environment activation systems. New users should
automatically get a working configuration, but existing users will have to
remove the explicit sourcing of /etc/bash_completion from their ~/.bashrc.
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changelog contrib/* README.*.urpmi
%{_sysconfdir}/bash_completion
%{_sysconfdir}/bash_completion.d
%{_sysconfdir}/profile.d/bash-completion.sh
%config(noreplace) %{_sysconfdir}/sysconfig/bash-completion
%config(noreplace) %{_sysconfdir}/skel/.bash_completion




%changelog
* Wed Sep 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20060301-18mdv2008.0
+ Revision: 91004
- fix typo in P25 that broken tar lzma completion

* Wed Sep 12 2007 Anssi Hannula <anssi@mandriva.org> 20060301-17mdv2008.0
+ Revision: 84667
- update documentation, and do not show them on every upgrade

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 20060301-16mdv2008.0
+ Revision: 79138
- improve rpm suggests patch

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 20060301-15mdv2008.0
+ Revision: 78543
- add suggests option to rpm completion

* Mon Aug 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-14mdv2008.0
+ Revision: 71784
- don't call wrapped command completion twice (fix #32795)

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-13mdv2008.0
+ Revision: 53705
- make use configuration override system configuration (fix #31833)

* Sun Jul 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20060301-12mdv2008.0
+ Revision: 52236
- add lzma support (P25)
- add mplayer completion for .flv (flash video), .xvid & .divx (P24)

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-11mdv2008.0
+ Revision: 39972
- better perl completion


* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-10mdv2007.0
+ Revision: 133084
- add bibtex completion (#29056)

* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-9mdv2007.1
+ Revision: 121134
- cdrkit completion

* Mon Jan 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-8mdv2007.1
+ Revision: 111626
- fix command completion for command without completion function

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-7mdv2007.1
+ Revision: 108796
- better completion for command accepting another command as argument

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-6mdv2007.1
+ Revision: 92220
- add forgotten kernel completion patch, needed by dkms completion
- Import bash-completion

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-5mdv2007.0
- fix .bash_completion file (COMP_IWCONFIG_SCAN -> COMP_IWLIST_SCAN)

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-4mdv2007.0
- don't source old rpm files in /etc/bash_completion.d 
- merge mdv-specific informations in a single README.urpmi

* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20060301-3mdk
- drop additional = in alias completion (fix #21738)

* Sat Mar 11 2006 Götz Waschk <waschk@mandriva.org> 20060301-2mdk
- fix patch 17

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 20060301-1mdk
- patch 17, add evince
- drop patches 6,13,14,15,16

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 20060301-1mdk
- New release 20060301

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20050721-5mdk
- add kdvi, dvipdf and advi to dvi file completion (fix bug #20947)

* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 20050721-4mdk
- fix known_host completion with bash 3.1

* Thu Dec 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050721-3mdk
- fix installed package completion slowliness when used outside of rpm
  completion (thanx pterjan)
- rediff patch8

* Tue Oct 11 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050721-2mdk
- fix completion for midi files ending with MID (P14)
- %%mkrel

* Sat Jul 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050721-1mdk 
- new version
- dropped patch 0, 6, 7, 9, 11 and 12 merged upstream

* Fri Jul 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050720-2mdk 
- iconv patch

* Thu Jul 21 2005 Götz Waschk <waschk@mandriva.org> 20050720-1mdk
- New release 20050720

* Thu Jul 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050712-1mdk 
- new release
- dropped patches 2, 3 and 4 merged upstream
- rediff patch 5, 7

* Sun Jun 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-8mdk 
- mc completion patch

* Fri Jun 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-7mdk 
- fix ssh aliases completion

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-6mdk 
- user config file is ~/.bash_completion, not ~/.bash-completion

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-5mdk 
- rework activation procedure again
- fix lilo labels completion

* Thu May 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-4mdk 
- make rpm slow database completion optional
- fix mplayer options completion

* Mon May 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20050121-3mdk 
- add a bunch of patches waiting for upstream merge (id, getent, iwconfig)
- disable all slow completion by default, including remote scp completion
- rework activation procedure
- drop README.urpmi in favor of README.mdk
- spec cleanup

* Sat Apr 02 2005 Guillaume Rousse <guillomovitch@mandrake.org> 20050121-2mdk 
- fix tcpdump & dhclient completions
- add shellbang in profile script

* Mon Jan 24 2005 Guillaume Rousse <guillomovitch@mandrake.org> 20050121-1mdk
- New release 20050121

* Thu Jan 20 2005 Goetz Waschk <waschk@linux-mandrake.com> 20050120-1mdk
- New release 20050120

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 20050112-1mdk 
- New release
- don't tag scripts as config

* Tue Jan 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 20050103-1mdk
- New release 20050103

* Fri Oct 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20041017-1mdk 
- New release 20041017
- /etc/profile.d config file is back, but disabled
- README.urpmi

* Mon Jul 12 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 20040711-1mdk
- New release 20040711

* Sat Jul 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040704-2mdk 
- no more config file in /etc/profile.d, existing users have to 
  explicitely source /etc/bash_completion from their .bashrc now

* Mon Jul 05 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 20040704-1mdk
- New release 20040704

* Thu May 27 2004 Götz Waschk <waschk@linux-mandrake.com> 20040526-1mdk
- fix URL
- New release 20040526

* Thu Apr 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040331-1mdk
- new version
- dropped mkisofs patch (merged upstream)

